<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto" xmlns:aapt="http://schemas.android.com/aapt" android:background="@color/grey_1" android:layout_width="match_parent" android:layout_height="wrap_content">
    <include android:id="@+id/include" android:visibility="gone" android:layout_width="0dp" android:layout_height="0dp" app:layout_constraintBottom_toBottomOf="0" app:layout_constraintLeft_toLeftOf="0" app:layout_constraintRight_toRightOf="0" app:layout_constraintTop_toTopOf="0" app:layout_constraintVertical_bias="0" layout="@layout/app_toolbar"/>
    <View android:id="@+id/screen_center" android:layout_width="1dp" android:layout_height="wrap_content" app:layout_constraintBottom_toBottomOf="0" app:layout_constraintHorizontal_bias="0.5" app:layout_constraintLeft_toLeftOf="0" app:layout_constraintRight_toRightOf="0" app:layout_constraintTop_toTopOf="0"/>
    <ImageView android:id="@+id/illustration" android:layout_width="0dp" android:layout_height="0dp" android:scaleType="centerCrop" app:layout_constraintBottom_toBottomOf="0" app:layout_constraintLeft_toLeftOf="0" app:layout_constraintRight_toLeftOf="@+id/screen_center" app:layout_constraintTop_toTopOf="0"/>
    <ImageView android:id="@+id/back" android:padding="@dimen/outer_margin" android:layout_width="wrap_content" android:layout_height="wrap_content" android:src="@drawable/btn_back" android:onClick="onBackClick" app:layout_constraintBottom_toBottomOf="0" app:layout_constraintHorizontal_bias="0" app:layout_constraintLeft_toLeftOf="0" app:layout_constraintRight_toRightOf="0" app:layout_constraintTop_toTopOf="0" app:layout_constraintVertical_bias="0"/>
    <TextView android:id="@+id/title" android:background="@color/white" android:paddingLeft="@dimen/outer_margin" android:paddingTop="@dimen/inner_margin" android:paddingRight="@dimen/inner_margin" android:paddingBottom="@dimen/inner_margin" android:layout_width="0dp" android:layout_height="wrap_content" android:text="@string/select_your_car" android:paddingStart="@dimen/outer_margin" android:paddingEnd="@dimen/inner_margin" app:layout_constraintBottom_toBottomOf="0" app:layout_constraintHorizontal_bias="0" app:layout_constraintLeft_toRightOf="@+id/screen_center" app:layout_constraintRight_toRightOf="0" app:layout_constraintTop_toTopOf="0" app:layout_constraintVertical_bias="0" style="@style/H1Black"/>
    <RelativeLayout android:id="@+id/tabs" android:background="@color/white" android:layout_width="0dp" android:layout_height="48dp" app:layout_constraintBottom_toBottomOf="0" app:layout_constraintLeft_toRightOf="@+id/screen_center" app:layout_constraintRight_toRightOf="@+id/title" app:layout_constraintTop_toBottomOf="@+id/title" app:layout_constraintVertical_bias="0">
        <View android:id="@+id/center" android:layout_width="1px" android:layout_height="1px" android:layout_centerHorizontal="true"/>
        <TextView android:textStyle="bold" android:textColor="@color/black" android:gravity="center" android:id="@+id/car_selector" android:padding="10dp" android:layout_width="match_parent" android:layout_height="match_parent" android:text="@string/car_selector" android:layout_toLeftOf="@+id/center" android:textAllCaps="true" android:layout_toStartOf="@+id/center"/>
        <TextView android:textColor="@color/black" android:gravity="center" android:id="@+id/manual_entry" android:padding="10dp" android:layout_width="match_parent" android:layout_height="match_parent" android:text="@string/manual_entry" android:layout_toRightOf="@+id/center" android:onClick="showManualEntry" android:textAllCaps="true" android:layout_toEndOf="@+id/center"/>
        <View android:background="@color/blue" android:layout_width="match_parent" android:layout_height="3dp" android:layout_toLeftOf="@+id/center" android:layout_alignParentBottom="true" android:layout_toStartOf="@+id/center"/>
    </RelativeLayout>
    <Spinner android:textColor="@color/black" android:textColorHint="@color/grey_light" android:id="@+id/pick_a_year" android:background="@color/white" android:paddingTop="4dp" android:layout_width="0dp" android:layout_height="50dp" android:maxLines="1" app:layout_constraintBottom_toTopOf="@+id/pick_a_make" app:layout_constraintHorizontal_bias="0" app:layout_constraintLeft_toLeftOf="@+id/pick_a_make" app:layout_constraintRight_toRightOf="@+id/pick_a_make" app:layout_constraintTop_toBottomOf="@+id/tabs" app:layout_constraintVertical_bias="0.75"/>
    <Spinner android:textColor="@color/black" android:textColorHint="@color/grey_light" android:id="@+id/pick_a_make" android:background="@color/white" android:paddingTop="4dp" android:layout_width="0dp" android:layout_height="50dp" android:layout_marginLeft="@dimen/outer_margin" android:layout_marginRight="@dimen/outer_margin" android:maxLines="1" android:layout_marginStart="@dimen/outer_margin" android:layout_marginEnd="@dimen/outer_margin" app:layout_constraintBottom_toTopOf="@+id/next_step" app:layout_constraintHorizontal_bias="1" app:layout_constraintLeft_toRightOf="@+id/screen_center" app:layout_constraintRight_toRightOf="0" app:layout_constraintTop_toBottomOf="@+id/tabs"/>
    <Spinner android:textColor="@color/black" android:textColorHint="@color/grey_light" android:id="@+id/pick_a_model" android:background="@color/white" android:paddingTop="4dp" android:layout_width="0dp" android:layout_height="50dp" android:maxLines="1" app:layout_constraintBottom_toTopOf="@+id/next_step" app:layout_constraintHorizontal_bias="0" app:layout_constraintLeft_toLeftOf="@+id/pick_a_make" app:layout_constraintRight_toRightOf="@+id/pick_a_make" app:layout_constraintTop_toBottomOf="@+id/pick_a_make" app:layout_constraintVertical_bias="0.25"/>
    <Button android:id="@+id/next_step" android:layout_width="0dp" android:layout_height="wrap_content" android:layout_marginBottom="@dimen/outer_margin" android:text="@string/save_car" android:onClick="onSetCarMdInfoClick" app:layout_constraintBottom_toBottomOf="0" app:layout_constraintHorizontal_bias="0" app:layout_constraintLeft_toLeftOf="@+id/pick_a_make" app:layout_constraintRight_toRightOf="@+id/pick_a_make" app:layout_constraintTop_toTopOf="0" app:layout_constraintVertical_bias="1" style="@style/NavdyButtonBlack"/>
</android.support.constraint.ConstraintLayout>
